org.optaplanner.core.impl.score.stream.drools.tri

## Class DroolsTriCondition<A,B,C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition<DroolsTriRuleStructure<A,B,C>>
  - - org.optaplanner.core.impl.score.stream.drools.tri.DroolsTriCondition<A,B,C>

-     public final class DroolsTriCondition<A,B,C>
      extends DroolsCondition<DroolsTriRuleStructure<A,B,C>>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `ruleStructure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsTriCondition(DroolsTriRuleStructure<A,B,C> ruleStructure)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<NewA,__> DroolsUniCondition<NewA>` | `andCollect(TriConstraintCollector<A,B,C,__,NewA> collector)`
    `DroolsTriCondition<A,B,C>` | `andFilter(TriPredicate<A,B,C> predicate)`
    `<NewA> DroolsUniCondition<NewA>` | `andGroup(TriFunction<A,B,C,NewA> groupKeyMapping)`
    `<NewA,NewB> DroolsBiCondition<NewA,NewB>` | `andGroupBi(TriFunction<A,B,C,NewA> groupKeyAMapping, TriFunction<A,B,C,NewB> groupKeyBMapping)`
    `<NewA,NewB,NewC> DroolsTriCondition<NewA,NewB,NewC>` | `andGroupBiWithCollect(TriFunction<A,B,C,NewA> groupKeyAMapping, TriFunction<A,B,C,NewB> groupKeyBMapping, TriConstraintCollector<A,B,C,?,NewC> collector)`
    `<NewA,NewB,NewC,NewD> DroolsQuadCondition<NewA,NewB,NewC,NewD>` | `andGroupBiWithCollectBi(TriFunction<A,B,C,NewA> groupKeyAMapping, TriFunction<A,B,C,NewB> groupKeyBMapping, TriConstraintCollector<A,B,C,?,NewC> collectorC, TriConstraintCollector<A,B,C,?,NewD> collectorD)`
    `<NewA,NewB> DroolsBiCondition<NewA,NewB>` | `andGroupWithCollect(TriFunction<A,B,C,NewA> groupKeyMapping, TriConstraintCollector<A,B,C,?,NewB> collector)`
    `<D> DroolsQuadCondition<A,B,C,D>` | `andJoin(DroolsUniCondition<D> dCondition, AbstractQuadJoiner<A,B,C,D> quadJoiner)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToIntTriFunction<A,B,C> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToLongTriFunction<A,B,C> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, TriFunction<A,B,C,BigDecimal> matchWeighter)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `collect, getInnerAccumulatePattern, getRuleStructure, group, groupBi, groupBiWithCollect, groupBiWithCollectBi, groupWithCollect, impactScore, impactScore, impactScore, impactScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsTriCondition

          public DroolsTriCondition(DroolsTriRuleStructure<A,B,C> ruleStructure)

  - ### Method Detail

    - #### andFilter

          public DroolsTriCondition<A,B,C> andFilter(TriPredicate<A,B,C> predicate)

    - #### andJoin

          public <D> DroolsQuadCondition<A,B,C,D> andJoin(DroolsUniCondition<D> dCondition,
                                                          AbstractQuadJoiner<A,B,C,D> quadJoiner)

    - #### andCollect

          public <NewA,__> DroolsUniCondition<NewA> andCollect(TriConstraintCollector<A,B,C,__,NewA> collector)

    - #### andGroup

          public <NewA> DroolsUniCondition<NewA> andGroup(TriFunction<A,B,C,NewA> groupKeyMapping)

    - #### andGroupWithCollect

          public <NewA,NewB> DroolsBiCondition<NewA,NewB> andGroupWithCollect(TriFunction<A,B,C,NewA> groupKeyMapping,
                                                                              TriConstraintCollector<A,B,C,?,NewB> collector)

    - #### andGroupBi

          public <NewA,NewB> DroolsBiCondition<NewA,NewB> andGroupBi(TriFunction<A,B,C,NewA> groupKeyAMapping,
                                                                     TriFunction<A,B,C,NewB> groupKeyBMapping)

    - #### andGroupBiWithCollect

          public <NewA,NewB,NewC> DroolsTriCondition<NewA,NewB,NewC> andGroupBiWithCollect(TriFunction<A,B,C,NewA> groupKeyAMapping,
                                                                                           TriFunction<A,B,C,NewB> groupKeyBMapping,
                                                                                           TriConstraintCollector<A,B,C,?,NewC> collector)

    - #### andGroupBiWithCollectBi

          public <NewA,NewB,NewC,NewD> DroolsQuadCondition<NewA,NewB,NewC,NewD> andGroupBiWithCollectBi(TriFunction<A,B,C,NewA> groupKeyAMapping,
                                                                                                        TriFunction<A,B,C,NewB> groupKeyBMapping,
                                                                                                        TriConstraintCollector<A,B,C,?,NewC> collectorC,
                                                                                                        TriConstraintCollector<A,B,C,?,NewD> collectorD)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToIntTriFunction<A,B,C> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToLongTriFunction<A,B,C> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               TriFunction<A,B,C,BigDecimal> matchWeighter)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.